<div *ngIf="barChartData.length > 0" style="display: block;">
  <canvas baseChart width="400" height="400"
    [datasets]="barChartData"
    [labels]="barChartLabels"
    [options]="barChartOptions"
    [plugins]="barChartPlugins"
    [legend]="barChartLegend"
    [colors]="lineChartColors"
    [chartType]="barChartType">
  </canvas>
</div>
